<script setup lang="ts">
import { usePromotionStore } from '@/stores/promotion';
import { ref } from 'vue';
import PromoDialogDetele from './PromoDialogDetele.vue';
import PromoDialogEdit from './PromoDialogEdit.vue';
const promoStore = usePromotionStore()
const search = ref('')

const  headers =[
          {
            key: 'id',
            sortable: false,
            title: 'Id',
          },
          { key: 'name', title: 'Name' },
          { key: 'con', title: 'Condition' },
          { key: 'start', title: 'Start' },
          { key: 'end', title: 'End' },
          { key: 'status', title: 'Status' },
          { key: 'discount', title: 'Discount' },
          { key: 'unit', title: 'Unit' },
          { key: 'product', title: 'Product' },
          { title: 'Actions', key: 'actions', sortable: false },
        ]
</script>

<template>
    <v-row no-gutters>
            <v-col cols="12" md="5" >
                <v-text-field
                v-model="search"
                density="compact"
                variant="solo"
                label="Search Member"
                append-inner-icon="mdi-magnify"
                single-line
                hide-details
                style="width: 200px;"
                >
                </v-text-field>
            </v-col>
            <v-col cols="12" md="5" style="padding-top: 0px; "  >
            <div><v-btn prepend-icon="mdi-plus" style="margin-left: 550px;" @click="promoStore.addPromotion ">Promotion Add</v-btn></div>  
            </v-col>
        </v-row>
    <v-data-table 
            :headers="headers"
            :items="promoStore.promotions   "
            :search="search"
            :items-per-page="8"
            >

            <template v-slot:[`item.actions`]="{ item }">
      <v-icon
        size="small"
        class="me-2"
        @click="promoStore.editPromotion(item)"
      >
        mdi-pencil
      </v-icon>
      <v-icon
        size="small"
        @click="promoStore.openDialogDelete(item)"
      >
        mdi-delete
      </v-icon>
    </template>
</v-data-table>
<PromoDialogDetele></PromoDialogDetele>
<PromoDialogEdit></PromoDialogEdit>
</template>